# Health System
execute at @s run bossbar set minecraft:cart_health players @a[distance=..50]

# Apply damage to carrier if hurt
execute if predicate snc:is_hurt run tag @a[scores={cart_vars=1}] add dmg_0

# Move model
execute at @a[scores={cart_vars=1}] rotated ~ 0 run function snc:shifters/mobs/cart/action/movement/select_tp

# Rotate model
execute store result score rotation cart_vars run data get entity @s Rotation[0]
scoreboard players operation rotation cart_vars -= player_rotation cart_vars

execute unless score rotation cart_vars matches -20..20 run data modify entity @s Rotation[0] set from entity @a[scores={cart_vars=1},tag=transform,limit=1] Rotation[0]

## ANIMATE
execute if score walk cart_vars matches 0 run scoreboard players set walk cart_vars 20
execute if score idle cart_vars matches 0 run scoreboard players set idle cart_vars 40

# use n-1
# Born
execute if score state cart_vars matches 100 run function snc:shifters/mobs/cart/animate/born
# If doesn't find player then die
execute as @s[tag=!dead] unless entity @a[scores={cart_vars=1},tag=transform] run tag @s add dead
# Idle
execute if score state cart_vars matches 3 run function snc:shifters/mobs/cart/animate/idle
# Slam of the Lefties
execute if score state cart_vars matches 11 run function snc:shifters/mobs/cart/animate/slam
# Jump
execute if score state cart_vars matches 5 run function snc:shifters/mobs/cart/animate/jump
# Sneak
execute if score state cart_vars matches 2 run function snc:shifters/mobs/cart/animate/sneak
# Walk
execute if score state cart_vars matches 4 run function snc:shifters/mobs/cart/animate/walk

## HEAD (100 is to not change while born)
execute unless score state cart_vars matches 100 as @s[tag=!dead] if predicate snc:has_effect_resistance run function snc:shifters/mobs/cart/animate/head_armor
execute unless score state cart_vars matches 100 as @s[tag=!dead] unless predicate snc:has_effect_resistance run function snc:shifters/mobs/cart/animate/head_bare

execute if score idle cart_vars matches 1..40 run scoreboard players remove idle cart_vars 1
execute if score action cart_vars matches 1.. run scoreboard players remove action cart_vars 1
execute if score walk cart_vars matches 1..20 run scoreboard players remove walk cart_vars 1