#> snc:shifters/mobs/cart/remove/cart
# Kills the entity and gives inherits the shifter, if it can.
#
# @input
#   execute if score @s death matches 1..
#
# @output
#   Entity is killed and the shifter is given to an entity or the world

execute as @s[tag=transform] run function snc:shifters/select_remove_transform

## Display who killed
# Fanfo
execute unless entity @s[scores={shifter_vars=1..}] run tellraw @a ["",{"translate":"aot.titan.cart","color":"light_purple"}," ",{"translate":"aot.curse.desc1","color":"dark_red"}]

# Shifter
execute if entity @s[scores={shifter_vars=1..}] run tellraw @a ["",{"selector":"@s","color":"white"}," ",{"translate":"aot.curse.desc2","color":"dark_red"}," ",{"translate":"aot.titan.cart","color":"light_purple"}]

bossbar remove cart_health
tag @s remove consume
tag @s remove shifter

#attribute @s generic.max_health base set 20
team leave @s
scoreboard players reset @s shifter_vars
scoreboard players reset @s cart_vars
function snc:shifters/revoke_adv

execute unless score prevent cart_vars matches 1 run scoreboard players set cart_doesnt_exists shifter_vars 1
execute unless score prevent cart_vars matches 1 run scoreboard objectives remove cart_vars
scoreboard objectives add cart_vars dummy

scoreboard players reset prevent cart_vars

scoreboard players set minutes cart_vars 5
scoreboard players set seconds cart_vars 1

# Check if player with titan is nearby
execute as @e[tag=feet,distance=.1..20,limit=1,sort=nearest] at @s run function snc:shifters/mobs/cart/spawn/select_player
execute as @a[tag=!titan,tag=consume,distance=.1..20,limit=1,sort=nearest] at @s run function snc:shifters/mobs/cart/spawn/select_player

execute if score @s death matches 1 run scoreboard players set @s death_messages 103
execute unless score @s death matches 1 run kill @s