#> snc:shifters/mobs/cart/timer/controller
# Controlls the player who has the shifter, tracking attributes such as health, if it disconnects, if its hurt.
#
# @Input:
#   Detects if player with shifter is doing an action.
#
# @Output:
#   Based on the action triggers other functions.

function snc:shifters/mobs/cart/timer/select_transform

tag @s add shifter
scoreboard players add count cart_vars 1

## Remove transform
execute if predicate snc:is_hurt run function snc:shifters/mobs/cart/timer/hurt

# Set player's current health to the corresponding scoreboard.
execute store result score player_health cart_vars run data get entity @s AbsorptionAmount
execute if score player_health cart_vars matches 0 run tag @s add injured
execute if score player_health cart_vars matches 20.. run tag @s remove injured

# Display if the player is in combat
execute if score comb_log config matches 1 unless entity @s[tag=transform] if score warn cart_vars matches 1.. run function snc:shifters/mobs/cart/timer/warning